package com.its.web.mapper.its.statistics;

import com.its.web.dto.statistics.TrafficStatisticsCongestDto;
import com.its.web.dto.statistics.TrafficStatisticsDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface StatisticsMapper {
    List<TrafficStatisticsDto> findStatisticsCommSpeedMonth(Map<String, String> paramMap);

    List<TrafficStatisticsDto> findStatisticsCommSpeedDay(Map<String, String> paramMap);

    List<TrafficStatisticsDto> findStatisticsCommGradeMonth(Map<String, String> paramMap);

    List<TrafficStatisticsDto> findStatisticsCommGradeDay(Map<String, String> paramMap);

    List<TrafficStatisticsCongestDto> findStatisticsCongest(Map<String, String> paramMap);
}

